MediaWiki:Attributes.css

Revision as of 18:55, 30 August 2025 by ReinDevildom (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
.attribute-pill {
    --attribute-Beauty: #88cec6;
    --attribute-Change: #979ee2;
    --attribute-Competition: linear-gradient(90deg, rgba(213, 67, 68, 1) 0%, rgba(86, 112, 176, 1) 100%);
    --attribute-Dark: #734e9d;
    --attribute-Hate: #9b8ec1;
    --attribute-Insatiability: #d3df82;
    --attribute-Light: #efbf3c;
    --attribute-Love: #eda1b6;
    --attribute-Memory: #95c2e7;
    --attribute-Peace: #deceb0;
    --attribute-Pride: #8879bc;
    --attribute-Regret: #775378;
    --attribute-Right: #5bb8e7;
    --attribute-Satiation: #f5a77d;
    --attribute-War: #964545;
    --attribute-Weakness: #b6d0e7;
    
    --attribute-Blaster: #9c749d;
    --attribute-Cherubim: #fff;
    --attribute-Cherubim--text: #bba479;
    --attribute-Explorer: #9fc47b;
    --attribute-Gladiator: #bba479;
    --attribute-Hothead: #e36566;
    --attribute-Mascot: #f6b560;
    --attribute-Mastermind: #71b7af;
    --attribute-Protector: #d2a3ba;
    --attribute-Striker: #fa9269;
    
    display: inline-flex;
    align-items: center;
    border-radius: 16px;
    padding: 0 8px;
    height: 25px;
    background-color: var(--theme-color-5);
    line-height: 1;
    position: relative;
}

.attribute-pill a {
    color: white;
    font-weight: 600;
}


.theme-fandomdesktop-light .attribute-pill-Cherubim,
.theme-fandommobile-light .attribute-pill-Cherubim {
    box-shadow: 0px 0px 3px var(--attribute-Cherubim--text);
}

/* Aspect Colors */
.attribute-pill-Beauty { background-color: var(--attribute-Beauty); }
.attribute-pill-Change { background-color: var(--attribute-Change); }
.attribute-pill-Competition { background: var(--attribute-Competition); }
.attribute-pill-Dark { background-color: var(--attribute-Dark); }
.attribute-pill-Hate { background-color: var(--attribute-Hate); }
.attribute-pill-Insatiability { background-color: var(--attribute-Insatiability); }
.attribute-pill-Light { background-color: var(--attribute-Light); }
.attribute-pill-Love { background-color: var(--attribute-Love); }
.attribute-pill-Memory { background-color: var(--attribute-Memory); }
.attribute-pill-Peace { background-color: var(--attribute-Peace); }
.attribute-pill-Pride { background-color: var(--attribute-Pride); }
.attribute-pill-Regret { background-color: var(--attribute-Regret); }
.attribute-pill-Right { background-color: var(--attribute-Right); }
.attribute-pill-Satiation { background-color: var(--attribute-Satiation); }
.attribute-pill-War { background-color: var(--attribute-War); }
.attribute-pill-Weakness { background-color: var(--attribute-Weakness); }

/* Trait Colors */
.attribute-pill-Blaster { background-color: var(--attribute-Blaster); }
.attribute-pill-Cherubim { background-color: var(--attribute-Cherubim); }
.attribute-pill-Cherubim a { color: var(--attribute-Cherubim--text) !important; }
.attribute-pill-Explorer { background-color: var(--attribute-Explorer); }
.attribute-pill-Gladiator { background-color: var(--attribute-Gladiator); }
.attribute-pill-Hothead { background-color: var(--attribute-Hothead); }
.attribute-pill-Mascot { background-color: var(--attribute-Mascot); }
.attribute-pill-Mastermind { background-color: var(--attribute-Mastermind); }
.attribute-pill-Protector { background-color: var(--attribute-Protector); }
.attribute-pill-Striker { background-color: var(--attribute-Striker); }

.attribute-area-icon {
    width: 32px;
    height: 32px;
    background-color: white;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-right: 5px;
    position: relative;
    border: 2px solid #989daf;
}